IVocabulary (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, interface: IVocabulary

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Interface IVocabulary

All Superinterfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

All Known Implementing Classes:
  `Vocabulary`

public interface IVocabulary extends ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTerm(IVocabularyTerm term)`
  adds a vocabulary term to the dictionary.
  `void`
  `setChosenFromList(boolean isChosenFromList)`
  `void`
  `setDescription(String description)`
  Sets the vocabulary description.
  `void`
  `setInternalNamespace(boolean isInternalNamespace)`
  Deprecated.
  use `setManagedInternally(boolean)`
  `void`
  `setManagedInternally(boolean isManagedInternally)`
  Set to `true` if the vocabulary is managed internally in openBIS.
  `void`
  `setUrlTemplate(String urlTemplate)`
  Sets a URL template (e.g a search query) that can display additional information for the concrete vocabulary terms.

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable

  `containsTerm, getCode, getDescription, getTerms, getUrlTemplate, isChosenFromList, isInternalNamespace, isManagedInternally`

- ## Method Details

  - ### setDescription

    void setDescription(String description)
    Sets the vocabulary description.

  - ### setManagedInternally

    void setManagedInternally(boolean isManagedInternally)
    Set to `true` if the vocabulary is managed internally in openBIS.

  - ### setInternalNamespace

    @Deprecated void setInternalNamespace(boolean isInternalNamespace)
    Deprecated.
    use `setManagedInternally(boolean)`
    Set to `true` if the vocabulary is in the internal openBIS namespace.

  - ### setChosenFromList

    void setChosenFromList(boolean isChosenFromList)

  - ### setUrlTemplate

    void setUrlTemplate(String urlTemplate)
    Sets a URL template (e.g a search query) that can display additional information for the concrete vocabulary terms.

  - ### addTerm

    void addTerm(IVocabularyTerm term)
    adds a vocabulary term to the dictionary.